## qtsvg-opensource-src 5.0.2

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Widgets)

test_module_includes(
  Svg QSvgWidget
)

## qtsvg-opensource-src 5.0.1

=== debian/changelog ===
qtsvg-opensource-src (5.0.1-0ubuntu4) raring; urgency=low

  * Depend on the library from -dev (LP: #1152573)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 08 Mar 2013 11:59:43 +0000

qtsvg-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Add the missing plugins to the library package
  * Add Vcs-Bzr to ~kubuntu-packagers

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 26 Feb 2013 14:22:53 +0000

qtsvg-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 14 Feb 2013 13:31:42 +0000

qtsvg-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  [ Timo Jyrinki ]
  * Initial release.
  * Cherry-pick from upstream:
    - add_license_files.patch

  [ Didier Roche ]
  * Add various minor fixes

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 08:59:36 +0000

=== debian/control ===
Source: qtsvg-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 8.1.3),
               qt5-default,
               qtbase5-dev (>= 5.0.1~),
               qtbase5-private-dev (>= 5.0.1~),
               libqt5opengl5-dev (>= 5.0.1~),
               zlib1g-dev,
               pkg-kde-tools,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsvg-opensource-src

Package: libqt5svg5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt5svg5-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SVG module development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the header development files used for building Qt 5
 applications using QtSvg library.

Package: libqt5svg5-private-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SVG module development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.
 .
 This package contains the private header development files for building some
 Qt 5 applications using SVG private headers.
 .
 Use at your own risk.

Package: qtsvg5-examples
Architecture: any
Section: x11
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SVG examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 SVG examples.

Package: qtsvg5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5svg5 (= ${binary:Version}),
         qtsvg5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 SVG library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 SVG 
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtsvg5-dbg

override_dh_auto_configure:
	qmake 

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtsvg-opensource-src-([^-]*)\.tar.xz

## qtsvg-opensource-src 5.0.2

=== debian/changelog ===
qtsvg-opensource-src (5.0.2-3ubuntu1) saucy; urgency=low

  * debian/rules:
    - Build and run tests
  * debian/control:
    - Build-Depend on dbus and xvfb for tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 13 Sep 2013 12:34:07 -0400

qtsvg-opensource-src (5.0.2-3) experimental; urgency=low

  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols file.
  * Make qtsvg5-dbg M-A same to allow coinstalability.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 19:23:06 -0300

qtsvg-opensource-src (5.0.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.
  * Update Vcs-Browser header.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 29 Apr 2013 09:26:26 -0300

qtsvg-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Apr 2013 15:06:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,27 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: debhelper (>= 8.1.3),
-               qt5-default,
-               qtbase5-dev (>= 5.0.1~),
-               qtbase5-private-dev (>= 5.0.1~),
-               libqt5opengl5-dev (>= 5.0.1~),
+Uploaders: Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Sune Vuorela <debian@pusling.com>,
+           Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Felix Geyer <fgeyer@debian.org>,
+           Timo Jyrinki <timo@debian.org>
+Build-Depends: dbus,
+               debhelper (>= 9),
+               qtbase5-dev (>= 5.0.2~),
+               qtbase5-private-dev (>= 5.0.2~),
+               libqt5opengl5-dev (>= 5.0.2~),
                zlib1g-dev,
                pkg-kde-tools,
+               xvfb,
+Build-Depends-Indep: libqt5sql5-sqlite,
+                     qttools5-dev-tools (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtsvg-opensource-src
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsvg.git;a=summary
 
 Package: libqt5svg5
 Architecture: any
@@ -31,8 +42,8 @@
 Package: libqt5svg5-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 SVG module development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -48,9 +59,9 @@
 Package: libqt5svg5-private-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 SVG module development files
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: libqt5svg5-dev (= ${binary:Version}), ${misc:Depends}
+Description: Qt 5 SVG module private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -68,7 +79,7 @@
 Architecture: any
 Section: x11
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -79,13 +90,37 @@
 Package: qtsvg5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
 Depends: libqt5svg5 (= ${binary:Version}),
-         qtsvg5-examples (= ${binary:Version}),
          ${misc:Depends}
+Suggests: qtsvg5-examples (= ${binary:Version}),
 Description: Qt 5 SVG library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the debugging symbols for the Qt 5 SVG 
  libraries.
+
+Package: qtsvg5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 SVG documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 SVG libraries.
+
+Package: qtsvg5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 SVG HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 SVG
+ libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsvg5-dbg

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_test:
	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib

override_dh_auto_install-arch:
	dh_auto_install

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/ -type f \( \
	-name '*.svg' \
	\) -print0 | xargs -0 chmod 644

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtsvg-opensource-src-([^-]*)\.tar.xz

## qtsvg-opensource-src 5.2.0

=== debian/changelog ===
qtsvg-opensource-src (5.2.0-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qtbase4 build dependency to 5.2.0+dfsg-5, so as to get the fix for
    sparc's FTBFS.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 03 Jan 2014 09:48:54 -0300

qtsvg-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update qtbase build-dependencies to 5.2.0.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' and current logs.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 13:19:33 -0300

qtsvg-opensource-src (5.1.1-3) unstable; urgency=low

  * Enable tests. Thanks Michael Terry from Ubuntu for the patch
   (Closes: 722718).
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Oct 2013 20:40:40 -0300

qtsvg-opensource-src (5.1.1-2) unstable; urgency=low

  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 23:11:49 -0300

qtsvg-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 17:49:40 -0300

qtsvg-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 13:19:46 -0300

qtsvg-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Update symbols file.
  * Bump Qt build dependencies to 5.1.0~.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 22:23:47 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtsvg-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,15 +11,15 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               qtbase5-dev (>= 5.0.2~),
-               qtbase5-private-dev (>= 5.0.2~),
-               libqt5opengl5-dev (>= 5.0.2~),
-               zlib1g-dev,
+               libqt5opengl5-dev (>= 5.2.0+dfsg~),
                pkg-kde-tools,
+               qtbase5-dev (>= 5.2.0+dfsg-5~),
+               qtbase5-private-dev (>= 5.2.0+dfsg-5~),
+               xauth,
                xvfb,
-Build-Depends-Indep: libqt5sql5-sqlite,
-                     qttools5-dev-tools (>= 5.0.2~)
-Standards-Version: 3.9.4
+               zlib1g-dev
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsvg.git;a=summary
@@ -92,14 +91,13 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libqt5svg5 (= ${binary:Version}),
-         ${misc:Depends}
-Suggests: qtsvg5-examples (= ${binary:Version}),
+Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}
+Suggests: qtsvg5-examples (= ${binary:Version})
 Description: Qt 5 SVG library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the debugging symbols for the Qt 5 SVG 
+ This package contains the debugging symbols for the Qt 5 SVG
  libraries.
 
 Package: qtsvg5-doc

## qtsvg-opensource-src 5.2.1

=== debian/changelog ===
qtsvg-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Feb 2014 19:39:03 -0300

qtsvg-opensource-src (5.2.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 18:08:42 -0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.2.0+dfsg~),
+               libqt5opengl5-dev (>= 5.2.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.0+dfsg-5~),
-               qtbase5-private-dev (>= 5.2.0+dfsg-5~),
+               qtbase5-dev (>= 5.2.1+dfsg~),
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
                xauth,
                xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -18,7 +20,7 @@
 	dh_auto_build -Smakefile -- docs
 
 override_dh_auto_test:
-	xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
 override_dh_auto_install-arch:
 	dh_auto_install

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtsvg-opensource-src-([^-]*)\.tar.xz

## qtsvg-opensource-src 5.3.0

=== debian/changelog ===
qtsvg-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 16:06:44 -0300

qtsvg-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Change header's path in install files. Mark development packages as
    Multi-Arch: same.
  * Make libqt5svg5 provide qtsvg-abi-5-3-0 to track private symbols.
    - Modify symbols file for letting the tracking work.
    - Create mark_private_symbols.sh to mark the private symbols.
    - Run mark_private_symbols.sh after dh_makeshlibs.
    - Mark private symbols as such.
    - Add the script to debian/copyright.
  * Do not override dh_builddeb anymore, xz compression is now the default
    method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 May 2014 13:15:53 -0300

qtsvg-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:58:57 -0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.2.1+dfsg~),
+               libqt5opengl5-dev (>= 5.3.0+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.1+dfsg~),
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
+               qtbase5-dev (>= 5.3.0+dfsg~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
                xauth,
                xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~), qttools5-dev-tools (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
@@ -27,6 +27,7 @@
 Package: libqt5svg5
 Architecture: any
 Multi-Arch: same
+Provides: qtsvg-abi-5-3-0
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG module
@@ -40,6 +41,7 @@
 
 Package: libqt5svg5-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}
@@ -57,6 +59,7 @@
 
 Package: libqt5svg5-private-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5svg5-dev (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
+override_dh_makeshlibs:
+	dh_makeshlibs
+	# Check for private symbols not marked as such. Be verbose.
+	DEBUG=1 debian/mark_private_symbols.sh

## qtsvg-opensource-src 5.3.2

=== debian/changelog ===
qtsvg-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:12:47 -0300

qtsvg-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Set QT_QPA_PLATFORM=minimal when running tests, so that they
    can be run without Xvfb.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Sep 2014 00:17:23 -0300

qtsvg-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Disable test until we get the transition sorted. Yes, ugly hack.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 17:29:48 -0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.3.0+dfsg~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.0+dfsg~),
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               xauth,
-               xvfb,
+               qtbase5-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~), qttools5-dev-tools (>= 5.3.0~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+                     qttools5-dev-tools (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,13 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsvg5-dbg
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	qmake #QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-override_dh_auto_test:
-	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+#override_dh_auto_test:
+#	dh_auto_test -- QT_QPA_PLATFORM=minimal QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 
 override_dh_auto_install-arch:
 	dh_auto_install

## qtsvg-opensource-src 5.4.1

=== debian/changelog ===
qtsvg-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update watch file to qt.io
  * Mark symbols missing with GCC 5 as optional (Closes: #778094).
  * debian/mark-private-symbols.sh:
    - Strip trailing colon from symbols names.
    - Unmark private symbols before processing them.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 09:47:42 +0000

qtsvg-opensource-src (5.4.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Build-depend on qtbase5-doc-html, for linking docs.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update Vcs-Browser field to use cgit interface.
  * Update ABI version (qtsvg-abi-5-4-0).
  * Re-enable running tests during build.
  * Add myself to Uploaders.

  [ Timo Jyrinki ]
  * Update libqt5svg5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Dec 2014 13:41:30 +0300

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,26 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.2+dfsg~),
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-                     qttools5-dev-tools (>= 5.3.2~)
-Standards-Version: 3.9.5
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtsvg.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtsvg.git
 
 Package: libqt5svg5
 Architecture: any
 Multi-Arch: same
-Provides: qtsvg-abi-5-3-0
+Provides: qtsvg-abi-5-4-0
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG module

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,13 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsvg5-dbg
 
 override_dh_auto_configure:
-	qmake #QT_BUILD_PARTS+=tests
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-#override_dh_auto_test:
-#	dh_auto_test -- QT_QPA_PLATFORM=minimal QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+override_dh_auto_test:
+	dh_auto_test -- QT_QPA_PLATFORM=minimal QT_PLUGIN_PATH=$(CURDIR)/plugins
 
 override_dh_auto_install-arch:
 	dh_auto_install

## qtsvg-opensource-src 5.4.2

=== debian/changelog ===
qtsvg-opensource-src (5.4.2-2build1) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 10:38:45 +0300

qtsvg-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:40:03 -0300

qtsvg-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Update debian/copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Use pkgkde-mark-private-symbols from pkg-kde-tools' 0.15.17.
    - Remove relevant debian/copyright entry.
  * Expose HTML documentation (Closes: #751184).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:50:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
@@ -12,13 +10,13 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
-               pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               pkg-kde-tools (>= 0.15.17),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git

=== debian/rules ===
--- 
+++ 
@@ -45,5 +45,5 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	# Check for private symbols not marked as such. Be verbose.
-	DEBUG=1 debian/mark_private_symbols.sh
+	# Check for private symbols not marked as such.
+	pkgkde-mark-private-symbols debian/libqt5svg5-private-dev/usr/include

## qtsvg-opensource-src 5.5.1

=== debian/changelog ===
qtsvg-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 13:50:50 +0200

qtsvg-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:47:17 -0300

qtsvg-opensource-src (5.5.1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove libqt5svg5-private-dev. Nothing in the stack is using it and
    according to dak there are no rdeps (Closes: #790769).

  [ Dmitry Shachnev ]
  * Move private headers to a temporary directory so that we can really
    mark them (based on code in qtmultimedia).
  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.
  * Make BSD-3-clause license text match upstream header.BSD more closely.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 22:00:37 +0300

qtsvg-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.
  * Do not run tests during arch-indep builds.
  * Remove symbols that are missing with GCC 5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 19:38:37 +0300

qtsvg-opensource-src (5.4.2-3) unstable; urgency=medium

  * Remove symbols that are missing with GCC 5 (to fix a build
    failure).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 20:15:55 +0300

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5opengl5-dev (>= 5.5.1+dfsg~),
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
@@ -54,26 +54,6 @@
  .
  This package contains the header development files used for building Qt 5
  applications using QtSvg library.
-
-Package: libqt5svg5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: libqt5svg5-dev (= ${binary:Version}), ${misc:Depends}
-Description: Qt 5 SVG module private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtSvg module provides classes for displaying the contents of SVG files.
- .
- Scalable Vector Graphics (SVG) is a language for describing two-dimensional
- graphics and graphical applications in XML.
- .
- This package contains the private header development files for building some
- Qt 5 applications using SVG private headers.
- .
- Use at your own risk.
 
 Package: qtsvg5-examples
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,10 @@
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	dh_auto_test -- QT_QPA_PLATFORM=minimal QT_PLUGIN_PATH=$(CURDIR)/plugins
+
+override_dh_auto_test-indep:
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -37,6 +39,14 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+	# Move private headers out of debian/tmp
+	mkdir -p debian/private-headers
+	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtSvg/*/QtSvg/private \
+		debian/private-headers/QtSvg
+
+	# Remove other private stuff
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_svg_private.pri
+
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
@@ -46,4 +56,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs
 	# Check for private symbols not marked as such.
-	pkgkde-mark-private-symbols debian/libqt5svg5-private-dev/usr/include
+	pkgkde-mark-private-symbols debian/private-headers
+
+override_dh_clean:
+	dh_clean
+	rm -rfv debian/private-headers

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtsvg-opensource-src-([^-]*)\.tar.xz

## qtsvg-opensource-src 5.6.1

=== debian/changelog ===
qtsvg-opensource-src (5.6.1-2build1~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 09:43:50 +0300

qtsvg-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:15:41 -0300

qtsvg-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update Standards-Version to 3.9.8, no changes required.
  * Add qtbase5-dev to build dependencies. It is currently pulled in by
    qtbase5-private-dev, but having it listed means that this package
    will not transition before qtbase itself.
  * Remove fix_install_path.diff, it is already applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 11:03:18 -0300

qtsvg-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.6.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Mar 2016 22:50:24 +0100

qtsvg-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream beta release.
    - Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Stop running pkgkde-mark-qt5-private-symbols script during build. The new
    way is that the maintainers run it themselves after each symbols update.
    Also drop the associated hack to move the private headers from debian/tmp.
  * Add fix_install_path.diff from Fedora to fix installation path for example
    SVG files.
  * Update symbols files using migrate-symbols script and from the build log.
  * Bump qtsvg-abi version to 5-6-0.
  * Override symbols-declares-dependency-on-other-package Lintian warning.
  * Use secure protocol (https) for Vcs-* fields.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Feb 2016 21:53:40 +0300

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,23 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.5.1+dfsg~),
+               libqt5opengl5-dev (>= 5.6.1+dfsg~),
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtsvg.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtsvg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtsvg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtsvg.git
 
 Package: libqt5svg5
 Architecture: any
 Multi-Arch: same
-Provides: qtsvg-abi-5-4-0
+Provides: qtsvg-abi-5-6-0
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG module

## qtsvg-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtsvg-opensource-src (5.7.1~20161021-2build1~3) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 03 Jan 2017 11:05:31 +0200

qtsvg-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:10:10 +0300

qtsvg-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Remove fix_qicon_test.diff, it's already present upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 17:54:16 -0300

qtsvg-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Replace disable_qicon_test.diff patch with (forwarded) fix_qicon_diff,
    which fixes the test instead of disabling it.
  * Update debian/copyright.
  * Add Qt_5.7 version tag to debian/libqt5svg5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Jul 2016 20:24:03 +0300

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.6.1+dfsg~),
+               libqt5opengl5-dev (>= 5.7.1~20161021+dfsg~),
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-dev (>= 5.6.1+dfsg~),
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
+               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtsvg.git

## qtsvg-opensource-src 5.9.1

=== debian/changelog ===
qtsvg-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:20:31 -0300

qtsvg-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Migrate to automatic dbgsym packages.
  * Add support for nodoc build profile.
  * Bump qtbase build-dependencies to 5.9.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jul 2017 16:09:17 +0300

qtsvg-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.0.
  * Update debian/libqt5svg5.symbols.
  * Drop unused Lintian override about ABI package dependency.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2017 21:49:57 +0300

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
-               debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.7.1~20161021+dfsg~),
+               debhelper (>= 9.20160114~),
+               dpkg-dev (>= 1.17.14),
+               libqt5opengl5-dev (>= 5.9.1+dfsg~),
                pkg-kde-tools (>= 0.15.17),
-               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
+               qtbase5-dev (>= 5.9.1+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.9.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.0~) <!nodoc>
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtsvg.git
@@ -68,21 +69,8 @@
  .
  This package contains Qt 5 SVG examples.
 
-Package: qtsvg5-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}
-Suggests: qtsvg5-examples (= ${binary:Version})
-Description: Qt 5 SVG library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 SVG
- libraries.
-
 Package: qtsvg5-doc
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc
@@ -94,6 +82,7 @@
  This package contains the documentation for the Qt 5 SVG libraries.
 
 Package: qtsvg5-doc-html
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtsvg5-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
@@ -39,10 +39,8 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
-	# Move private headers out of debian/tmp
-	mkdir -p debian/private-headers
-	mv -v debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtSvg/*/QtSvg/private \
-		debian/private-headers/QtSvg
+	# Remove private headers
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtSvg/*/QtSvg/private
 
 	# Remove other private stuff
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_svg_private.pri
@@ -53,11 +51,5 @@
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_makeshlibs:
-	dh_makeshlibs
-	# Check for private symbols not marked as such.
-	pkgkde-mark-private-symbols debian/private-headers
-
-override_dh_clean:
-	dh_clean
-	rm -rfv debian/private-headers
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtsvg5-dbg (<< 5.9.0-2~)'
